MSSObjectLink (CMDB Model API)
Keywords: com.collation.platform.model.topology.process.MSSObjectLink interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.process
Interface MSSObjectLink

All Superinterfaces:
  ManagedElement, ModelObject, java.io.Serializable

    public interface MSSObjectLink

extends ManagedElement

MSS to ModelObject Association

Naming Rules:
  0="obj,mss"
Persistable:
  true
Table Name:
  MSSOBJLINK
Display Name:
  obj,mss

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`ModelObject` | `getMss()`
`java.lang.String` | `getMssSourceToken()`
`ModelObject` | `getObj()`
`boolean` | `hasMss()`
`boolean` | `hasMssSourceToken()`
`boolean` | `hasObj()`
`void` | `setMss(ModelObject mo)`
`void` | `setMssSourceToken(java.lang.String sourceToken)`
`void` | `setObj(ModelObject mo)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getObj

    ModelObject getObj()
                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setObj

    void setObj(ModelObject mo)

### hasObj

    boolean hasObj()

### getMss

    ModelObject getMss()
                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMss

    void setMss(ModelObject mo)

### hasMss

    boolean hasMss()

### getMssSourceToken

    java.lang.String getMssSourceToken()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMssSourceToken

    void setMssSourceToken(java.lang.String sourceToken)

### hasMssSourceToken

    boolean hasMssSourceToken()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD